Get Conversational Component

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
<PartnerPortalWarning />

<br />

## Request Parameters

| Key           | Description                      | Value                                  | Data Type | Required/Optional | Constraints                                |
| :------------ | :------------------------------- | :------------------------------------- | :-------- | :---------------- | :----------------------------------------- |
| Authorization | Access Token for the application | `USER.PARTNER_APP_TOKEN`             | String    | Required          | Should be a valid Partner App Access Token |
| APP ID        | appId of the account             | `bf9ee64c-3d4d-4ac4-xxxx-732e577007c4` | String    | Required          | The Id should be a valid app Id of Gupshup |

## Sample Request

```curl
curl --location --request GET 'https://partner.gupshup.io/partner/app/USER.APP_ID/conversational/component' \
--header 'Authorization: USER.PARTNER_APP_TOKEN'

Sample Response

{
    "conversational_automation": {
        "prompts": [
            "Book a flight",
            "plan a vacation"
        ],
        "commands": [
            {
                "command_name": "tickets",
                "command_description": "Book flight tickets"
            },
            {
                "command_name": "hotel",
                "command_description": "Book hotel"
            }
        ],
        "enable_welcome_message": false,
        "id": "USER.ID"
    },
    "id": "USER.PHONE_ID"
}

Status Codes

Status CodeResponseComments
Success
200{ "conversational_automation": { "prompts": [ "Book a flight", "plan a vacation" ], "commands": [ { "command_name": "tickets", "command_description": "Book flight tickets" }, { "command_name": "hotel", "command_description": "Book hotel" } ], "enable_welcome_message": false, "id": "USER.ID" }, "id": "USER.PHONE_ID" }
Error
401{ "message": "Authentication Failed", "status": "error" }When API authentication fails
Path Params
string
required

Unique identifier of the app.

Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json